OpenTTD Source: CYapfNodeT< Tkey_, Tnode > Struct Template Reference

OpenTTD Source 15.3

Public Types | Public Member Functions | Data Fields
CYapfNodeT< Tkey_, Tnode > Struct Template Reference

Yapf Node base. More...

`#include <yapf_node.hpp>`

## Public Types
typedef Tkey_ | Key
typedef Tnode | Node

## Public Member Functions
void | Set (Node *parent, TileIndex tile, Trackdir td, bool is_choice)
Node * | GetHashNext ()
void | SetHashNext (Node *pNext)
TileIndex | GetTile () const
Trackdir | GetTrackdir () const
const Tkey_ & | GetKey () const
int | GetCost () const
int | GetCostEstimate () const
bool | GetIsChoice () const
bool | operator< (const Node &other) const
void | Dump (DumpTarget &dmp) const

## Data Fields
Tkey_ | key
Node * | hash_next
Node * | parent
int | cost
int | estimate
bool | is_choice

## Detailed Description

template<class Tkey_, class Tnode>
struct CYapfNodeT< Tkey_, Tnode >

Yapf Node base.

Definition at line 61 of file yapf_node.hpp.

## Member Typedef Documentation

## ◆ Key

template<class Tkey_ , class Tnode >

typedef Tkey_ CYapfNodeT< Tkey_, Tnode >::Key

Definition at line 62 of file yapf_node.hpp.

## ◆ Node

template<class Tkey_ , class Tnode >

typedef Tnode CYapfNodeT< Tkey_, Tnode >::Node

Definition at line 63 of file yapf_node.hpp.

## Member Function Documentation

## ◆ Dump()

template<class Tkey_ , class Tnode >

void CYapfNodeT< Tkey_, Tnode >::Dump | ( | DumpTarget & | dmp | ) | const
| inline

Definition at line 127 of file yapf_node.hpp.

## ◆ GetCost()

template<class Tkey_ , class Tnode >

int CYapfNodeT< Tkey_, Tnode >::GetCost | ( |  | ) | const
| inline

Definition at line 107 of file yapf_node.hpp.

## ◆ GetCostEstimate()

template<class Tkey_ , class Tnode >

int CYapfNodeT< Tkey_, Tnode >::GetCostEstimate | ( |  | ) | const
| inline

Definition at line 112 of file yapf_node.hpp.

## ◆ GetHashNext()

template<class Tkey_ , class Tnode >

Node * CYapfNodeT< Tkey_, Tnode >::GetHashNext | ( |  | ) |
| inline

Definition at line 82 of file yapf_node.hpp.

## ◆ GetIsChoice()

template<class Tkey_ , class Tnode >

bool CYapfNodeT< Tkey_, Tnode >::GetIsChoice | ( |  | ) | const
| inline

Definition at line 117 of file yapf_node.hpp.

## ◆ GetKey()

template<class Tkey_ , class Tnode >

const Tkey_ & CYapfNodeT< Tkey_, Tnode >::GetKey | ( |  | ) | const
| inline

Definition at line 102 of file yapf_node.hpp.

## ◆ GetTile()

template<class Tkey_ , class Tnode >

TileIndex CYapfNodeT< Tkey_, Tnode >::GetTile | ( |  | ) | const
| inline

Definition at line 92 of file yapf_node.hpp.

## ◆ GetTrackdir()

template<class Tkey_ , class Tnode >

Trackdir CYapfNodeT< Tkey_, Tnode >::GetTrackdir | ( |  | ) | const
| inline

Definition at line 97 of file yapf_node.hpp.

## ◆ operator<()

template<class Tkey_ , class Tnode >

bool CYapfNodeT< Tkey_, Tnode >::operator< | ( | const Node & | other | ) | const
| inline

Definition at line 122 of file yapf_node.hpp.

## ◆ Set()

template<class Tkey_ , class Tnode >

void CYapfNodeT< Tkey_, Tnode >::Set | ( | Node * | parent,
|  | TileIndex | tile,
|  | Trackdir | td,
|  | bool | is_choice
| ) |  |
| inline

Definition at line 72 of file yapf_node.hpp.

## ◆ SetHashNext()

template<class Tkey_ , class Tnode >

void CYapfNodeT< Tkey_, Tnode >::SetHashNext | ( | Node * | pNext | ) |
| inline

Definition at line 87 of file yapf_node.hpp.

## Field Documentation

## ◆ cost

template<class Tkey_ , class Tnode >

int CYapfNodeT< Tkey_, Tnode >::cost

Definition at line 68 of file yapf_node.hpp.

## ◆ estimate

template<class Tkey_ , class Tnode >

int CYapfNodeT< Tkey_, Tnode >::estimate

Definition at line 69 of file yapf_node.hpp.

## ◆ hash_next

template<class Tkey_ , class Tnode >

Node* CYapfNodeT< Tkey_, Tnode >::hash_next

Definition at line 66 of file yapf_node.hpp.

## ◆ is_choice

template<class Tkey_ , class Tnode >

bool CYapfNodeT< Tkey_, Tnode >::is_choice

Definition at line 70 of file yapf_node.hpp.

## ◆ key

template<class Tkey_ , class Tnode >

Tkey_ CYapfNodeT< Tkey_, Tnode >::key

Definition at line 65 of file yapf_node.hpp.

## ◆ parent

template<class Tkey_ , class Tnode >

Node* CYapfNodeT< Tkey_, Tnode >::parent

Definition at line 67 of file yapf_node.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node.hpp